package io.swagger.api;

import io.swagger.model.*;
import io.swagger.api.BillingApiService;
import io.swagger.api.factories.BillingApiServiceFactory;

import io.swagger.model.InlineResponse200;
import io.swagger.model.InlineResponse2001;
import io.swagger.model._;

import java.util.List;
import io.swagger.api.NotFoundException;

import java.io.InputStream;

import javax.ws.rs.core.Context;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.SecurityContext;
import javax.ws.rs.*;

@Path("/billing")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaResteasyServerCodegen", date = "2016-11-03T11:50:40.611+04:00")
public class BillingApi  {
   private final BillingApiService delegate = BillingApiServiceFactory.getBillingApi();

    @GET
    @Path("/debt")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response billingDebtGet( @QueryParam("_token_") String token_,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.billingDebtGet(token_,securityContext);
    }
    @GET
    @Path("/info")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response billingInfoGet( @QueryParam("_token_") String token_,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.billingInfoGet(token_,securityContext);
    }
    @GET
    @Path("/limits")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response billingLimitsGet( @QueryParam("_token_") String token_,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.billingLimitsGet(token_,securityContext);
    }
}
