package io.swagger.api;

import io.swagger.model.*;
import io.swagger.api.DnsApiService;
import io.swagger.api.factories.DnsApiServiceFactory;

import io.swagger.model.InlineResponse2003;
import io.swagger.model.InlineResponse2004;

import java.util.List;
import io.swagger.api.NotFoundException;

import java.io.InputStream;

import javax.ws.rs.core.Context;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.SecurityContext;
import javax.ws.rs.*;

@Path("/dns")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaResteasyServerCodegen", date = "2016-11-03T11:50:40.611+04:00")
public class DnsApi  {
   private final DnsApiService delegate = DnsApiServiceFactory.getDnsApi();

    @GET
    @Path("/add")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response dnsAddGet( @QueryParam("_token_") String token_, @QueryParam("add_dns_zone") String addDnsZone, @QueryParam("add_dns_record") String addDnsRecord, @QueryParam("iis_site_for_dns") String iisSiteForDns, @QueryParam("bind_only") Boolean bindOnly,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.dnsAddGet(token_,addDnsZone,addDnsRecord,iisSiteForDns,bindOnly,securityContext);
    }
    @GET
    @Path("/bind")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response dnsBindGet( @QueryParam("_token_") String token_, @QueryParam("_key_") Integer key_, @QueryParam("bind_to") String bindTo,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.dnsBindGet(token_,key_,bindTo,securityContext);
    }
    @GET
    @Path("/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response dnsListGet( @QueryParam("_token_") String token_,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.dnsListGet(token_,securityContext);
    }
    @GET
    @Path("/prolong/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response dnsProlongListGet( @QueryParam("_token_") String token_,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.dnsProlongListGet(token_,securityContext);
    }
    @GET
    @Path("/raw")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response dnsRawGet( @QueryParam("_token_") String token_, @QueryParam("_key_") Integer key_, @QueryParam("s_del") Integer sDel, @QueryParam("s_add") Integer sAdd, @QueryParam("dns_type") String dnsType, @QueryParam("dns_name") String dnsName, @QueryParam("dns_value") String dnsValue,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.dnsRawGet(token_,key_,sDel,sAdd,dnsType,dnsName,dnsValue,securityContext);
    }
    @GET
    @Path("/raw/managedmx")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response dnsRawManagedmxGet( @QueryParam("_token_") String token_, @QueryParam("_key_") Integer key_, @QueryParam("managed_mx") Integer managedMx, @QueryParam("upd_managed_mx") Integer updManagedMx,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.dnsRawManagedmxGet(token_,key_,managedMx,updManagedMx,securityContext);
    }
}
