package io.swagger.api;

import io.swagger.model.*;
import io.swagger.api.EmailApiService;
import io.swagger.api.factories.EmailApiServiceFactory;

import io.swagger.model.InlineResponse2005;
import io.swagger.model.InlineResponse2006;

import java.util.List;
import io.swagger.api.NotFoundException;

import java.io.InputStream;

import javax.ws.rs.core.Context;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.SecurityContext;
import javax.ws.rs.*;

@Path("/email")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaResteasyServerCodegen", date = "2016-11-03T11:50:40.611+04:00")
public class EmailApi  {
   private final EmailApiService delegate = EmailApiServiceFactory.getEmailApi();

    @GET
    @Path("/add")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response emailAddGet( @QueryParam("_token_") String token_, @QueryParam("add_email") String addEmail,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.emailAddGet(token_,addEmail,securityContext);
    }
    @GET
    @Path("/alias/delete")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response emailAliasDeleteGet( @QueryParam("_token_") String token_, @QueryParam("_key_") String key_,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.emailAliasDeleteGet(token_,key_,securityContext);
    }
    @GET
    @Path("/alias/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response emailAliasListGet( @QueryParam("_token_") String token_,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.emailAliasListGet(token_,securityContext);
    }
    @GET
    @Path("/delete")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response emailDeleteGet( @QueryParam("_token_") String token_, @QueryParam("_key_") String key_,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.emailDeleteGet(token_,key_,securityContext);
    }
    @GET
    @Path("/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response emailListGet( @QueryParam("_token_") String token_,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.emailListGet(token_,securityContext);
    }
}
