package io.swagger.api;

import io.swagger.model.*;
import io.swagger.api.VdsApiService;
import io.swagger.api.factories.VdsApiServiceFactory;

import io.swagger.model.InlineResponse20011;
import io.swagger.model.InlineResponse20012;
import io.swagger.model.InlineResponse20013;

import java.util.List;
import io.swagger.api.NotFoundException;

import java.io.InputStream;

import javax.ws.rs.core.Context;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.SecurityContext;
import javax.ws.rs.*;

@Path("/vds")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaResteasyServerCodegen", date = "2016-11-03T11:50:40.611+04:00")
public class VdsApi  {
   private final VdsApiService delegate = VdsApiServiceFactory.getVdsApi();

    @GET
    @Path("/create")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsCreateGet( @QueryParam("_token_") String token_, @QueryParam("type") String type, @QueryParam("cr_hvmem") Integer crHvmem, @QueryParam("cr_hvdsk") Integer crHvdsk, @QueryParam("cr_hvcpu") Integer crHvcpu, @QueryParam("template") String template, @QueryParam("force_memo") String forceMemo, @QueryParam("hv_1gb_panel_version") String hv1gbPanelVersion, @QueryParam("panel_install") Boolean panelInstall, @QueryParam("cr_ssd1") Boolean crSsd1, @QueryParam("cr_hv_all_system") Boolean crHvAllSystem,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.vdsCreateGet(token_,type,crHvmem,crHvdsk,crHvcpu,template,forceMemo,hv1gbPanelVersion,panelInstall,crSsd1,crHvAllSystem,securityContext);
    }
    @GET
    @Path("/delete")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsDeleteGet( @QueryParam("_token_") String token_, @QueryParam("_key_") Integer key_, @QueryParam("force_critical") Boolean forceCritical,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.vdsDeleteGet(token_,key_,forceCritical,securityContext);
    }
    @GET
    @Path("/ip/add")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsIpAddGet( @QueryParam("_token_") String token_, @QueryParam("_key_") Integer key_,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.vdsIpAddGet(token_,key_,securityContext);
    }
    @GET
    @Path("/ip/delete")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsIpDeleteGet( @QueryParam("_token_") String token_, @QueryParam("_key_") Integer key_, @QueryParam("del_ip") String delIp,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.vdsIpDeleteGet(token_,key_,delIp,securityContext);
    }
    @GET
    @Path("/ip/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsIpListGet( @QueryParam("_token_") String token_, @QueryParam("_key_") Integer key_,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.vdsIpListGet(token_,key_,securityContext);
    }
    @GET
    @Path("/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsListGet( @QueryParam("_token_") String token_, @QueryParam("_key_") Integer key_,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.vdsListGet(token_,key_,securityContext);
    }
    @GET
    @Path("/reboot")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsRebootGet( @QueryParam("_token_") String token_, @QueryParam("_key_") Integer key_,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.vdsRebootGet(token_,key_,securityContext);
    }
    @GET
    @Path("/templates-list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsTemplatesListGet( @QueryParam("_token_") String token_,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.vdsTemplatesListGet(token_,securityContext);
    }
    @GET
    @Path("/update")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response vdsUpdateGet( @QueryParam("_token_") String token_, @QueryParam("_key_") Integer key_, @QueryParam("cr_hvmem") Integer crHvmem, @QueryParam("cr_hvdsk") Integer crHvdsk, @QueryParam("cr_hvcpu") Integer crHvcpu,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.vdsUpdateGet(token_,key_,crHvmem,crHvdsk,crHvcpu,securityContext);
    }
}
