package io.swagger.model;

import java.util.Objects;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonProperty;




@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaResteasyServerCodegen", date = "2016-11-03T11:50:40.611+04:00")
public class InlineResponse2006   {
  
  private Integer id = null;
  private Integer status = null;
  private Boolean online = null;
  private String mail = null;
  private String mercuryUser = null;
  private String mercuryPwd = null;
  private Integer sizeAmount = null;
  private Integer sizeFileCount = null;
  private Integer archivedCount = null;
  private String serverPop3 = null;
  private String serverSmtp = null;
  private String serverWebmail = null;
  private String serverImap = null;
  private String wm1 = null;
  private String wm2 = null;

  /**
   * идентификатор ящика
   **/
  
  @JsonProperty("id")
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * 
   **/
  
  @JsonProperty("status")
  public Integer getStatus() {
    return status;
  }
  public void setStatus(Integer status) {
    this.status = status;
  }

  /**
   * ящик работает, если true
   **/
  
  @JsonProperty("online")
  public Boolean getOnline() {
    return online;
  }
  public void setOnline(Boolean online) {
    this.online = online;
  }

  /**
   * полный адрес ящика
   **/
  
  @JsonProperty("mail")
  public String getMail() {
    return mail;
  }
  public void setMail(String mail) {
    this.mail = mail;
  }

  /**
   * имя пользователя для входа в Mercury
   **/
  
  @JsonProperty("mercury_user")
  public String getMercuryUser() {
    return mercuryUser;
  }
  public void setMercuryUser(String mercuryUser) {
    this.mercuryUser = mercuryUser;
  }

  /**
   * пароль для входа в Mercury
   **/
  
  @JsonProperty("mercury_pwd")
  public String getMercuryPwd() {
    return mercuryPwd;
  }
  public void setMercuryPwd(String mercuryPwd) {
    this.mercuryPwd = mercuryPwd;
  }

  /**
   * текущий размер ящика
   **/
  
  @JsonProperty("size_amount")
  public Integer getSizeAmount() {
    return sizeAmount;
  }
  public void setSizeAmount(Integer sizeAmount) {
    this.sizeAmount = sizeAmount;
  }

  /**
   * количество файлов, занятых ящиком
   **/
  
  @JsonProperty("size_file_count")
  public Integer getSizeFileCount() {
    return sizeFileCount;
  }
  public void setSizeFileCount(Integer sizeFileCount) {
    this.sizeFileCount = sizeFileCount;
  }

  /**
   * 
   **/
  
  @JsonProperty("archived_count")
  public Integer getArchivedCount() {
    return archivedCount;
  }
  public void setArchivedCount(Integer archivedCount) {
    this.archivedCount = archivedCount;
  }

  /**
   * адрес сервера для доступа к ящику по POP3
   **/
  
  @JsonProperty("server_pop3")
  public String getServerPop3() {
    return serverPop3;
  }
  public void setServerPop3(String serverPop3) {
    this.serverPop3 = serverPop3;
  }

  /**
   * адрес сервера для доступа к ящику по SMTP
   **/
  
  @JsonProperty("server_smtp")
  public String getServerSmtp() {
    return serverSmtp;
  }
  public void setServerSmtp(String serverSmtp) {
    this.serverSmtp = serverSmtp;
  }

  /**
   * адрес сервера Webmail для входа в ящик через браузер
   **/
  
  @JsonProperty("server_webmail")
  public String getServerWebmail() {
    return serverWebmail;
  }
  public void setServerWebmail(String serverWebmail) {
    this.serverWebmail = serverWebmail;
  }

  /**
   * адрес сервера для доступа к ящику по IMAP
   **/
  
  @JsonProperty("server_imap")
  public String getServerImap() {
    return serverImap;
  }
  public void setServerImap(String serverImap) {
    this.serverImap = serverImap;
  }

  /**
   * 
   **/
  
  @JsonProperty("wm1")
  public String getWm1() {
    return wm1;
  }
  public void setWm1(String wm1) {
    this.wm1 = wm1;
  }

  /**
   * 
   **/
  
  @JsonProperty("wm2")
  public String getWm2() {
    return wm2;
  }
  public void setWm2(String wm2) {
    this.wm2 = wm2;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2006 inlineResponse2006 = (InlineResponse2006) o;
    return Objects.equals(id, inlineResponse2006.id) &&
        Objects.equals(status, inlineResponse2006.status) &&
        Objects.equals(online, inlineResponse2006.online) &&
        Objects.equals(mail, inlineResponse2006.mail) &&
        Objects.equals(mercuryUser, inlineResponse2006.mercuryUser) &&
        Objects.equals(mercuryPwd, inlineResponse2006.mercuryPwd) &&
        Objects.equals(sizeAmount, inlineResponse2006.sizeAmount) &&
        Objects.equals(sizeFileCount, inlineResponse2006.sizeFileCount) &&
        Objects.equals(archivedCount, inlineResponse2006.archivedCount) &&
        Objects.equals(serverPop3, inlineResponse2006.serverPop3) &&
        Objects.equals(serverSmtp, inlineResponse2006.serverSmtp) &&
        Objects.equals(serverWebmail, inlineResponse2006.serverWebmail) &&
        Objects.equals(serverImap, inlineResponse2006.serverImap) &&
        Objects.equals(wm1, inlineResponse2006.wm1) &&
        Objects.equals(wm2, inlineResponse2006.wm2);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, status, online, mail, mercuryUser, mercuryPwd, sizeAmount, sizeFileCount, archivedCount, serverPop3, serverSmtp, serverWebmail, serverImap, wm1, wm2);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2006 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    online: ").append(toIndentedString(online)).append("\n");
    sb.append("    mail: ").append(toIndentedString(mail)).append("\n");
    sb.append("    mercuryUser: ").append(toIndentedString(mercuryUser)).append("\n");
    sb.append("    mercuryPwd: ").append(toIndentedString(mercuryPwd)).append("\n");
    sb.append("    sizeAmount: ").append(toIndentedString(sizeAmount)).append("\n");
    sb.append("    sizeFileCount: ").append(toIndentedString(sizeFileCount)).append("\n");
    sb.append("    archivedCount: ").append(toIndentedString(archivedCount)).append("\n");
    sb.append("    serverPop3: ").append(toIndentedString(serverPop3)).append("\n");
    sb.append("    serverSmtp: ").append(toIndentedString(serverSmtp)).append("\n");
    sb.append("    serverWebmail: ").append(toIndentedString(serverWebmail)).append("\n");
    sb.append("    serverImap: ").append(toIndentedString(serverImap)).append("\n");
    sb.append("    wm1: ").append(toIndentedString(wm1)).append("\n");
    sb.append("    wm2: ").append(toIndentedString(wm2)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

