package io.swagger.api;

import io.swagger.model.*;
import io.swagger.api.AuthApiService;
import io.swagger.api.factories.AuthApiServiceFactory;


import java.util.List;
import io.swagger.api.NotFoundException;

import java.io.InputStream;

import javax.ws.rs.core.Context;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.SecurityContext;
import javax.ws.rs.*;

@Path("/auth")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaResteasyServerCodegen", date = "2016-11-03T11:50:40.611+04:00")
public class AuthApi  {
   private final AuthApiService delegate = AuthApiServiceFactory.getAuthApi();

    @POST
    @Path("/login")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response authLoginPost( @QueryParam("login") String login, @QueryParam("salt") String salt, @QueryParam("response") String response,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.authLoginPost(login,salt,response,securityContext);
    }
    @GET
    @Path("/start")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    public Response authStartGet( @QueryParam("login") String login,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.authStartGet(login,securityContext);
    }
}
